RDCode: ChemicalFeatures::FreeChemicalFeature Class Reference

# ChemicalFeatures::FreeChemicalFeature Class Reference

Class for chemical features that do not orignate from molecules. More...

`#include <FreeChemicalFeature.h>`

Inheritance diagram for ChemicalFeatures::FreeChemicalFeature:

List of all members.

## Public Member Functions
| FreeChemicalFeature (std::string family, std::string type, const RDGeom::Point3D &loc)
| start with everything specified
| FreeChemicalFeature (std::string family, const RDGeom::Point3D &loc)
| start with family and location specified, leave the type blank
| FreeChemicalFeature ()
| start with everything blank
| FreeChemicalFeature (const std::string &pickle)
| FreeChemicalFeature (const FreeChemicalFeature &other)
| ~FreeChemicalFeature ()
const std::string & | getFamily () const
| return our family
const std::string & | getType () const
| return our type
RDGeom::Point3D | getPos () const
| return our position
void | setFamily (const std::string &family)
| set our family
void | setType (const std::string &type)
| set our type
void | setPos (const RDGeom::Point3D &loc)
| set our position
std::string | toString () const
| returns a serialized form of the feature (a pickle)
void | initFromString (const std::string &pickle)
| initialize from a pickle string

## Detailed Description

Class for chemical features that do not orignate from molecules.

Definition at line 17 of file FreeChemicalFeature.h.

## Constructor & Destructor Documentation

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | std::string | family,
|  | std::string | type,
|  | const RDGeom::Point3D & | loc |
| ) |  |  | `[inline]`

start with everything specified

Definition at line 20 of file FreeChemicalFeature.h.

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | std::string | family,
|  | const RDGeom::Point3D & | loc |
| ) |  |  | `[inline]`

start with family and location specified, leave the type blank

Definition at line 26 of file FreeChemicalFeature.h.

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( |  | ) | `[inline]`

start with everything blank

Definition at line 31 of file FreeChemicalFeature.h.

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | const std::string & | pickle | ) | `[inline, explicit]`

Definition at line 35 of file FreeChemicalFeature.h.

References initFromString().

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | const FreeChemicalFeature & | other | ) | `[inline]`

Definition at line 39 of file FreeChemicalFeature.h.

ChemicalFeatures::FreeChemicalFeature::~FreeChemicalFeature | ( |  | ) | `[inline]`

Definition at line 43 of file FreeChemicalFeature.h.

## Member Function Documentation

const std::string& ChemicalFeatures::FreeChemicalFeature::getFamily | ( |  | ) | const`[inline, virtual]`

return our family

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 46 of file FreeChemicalFeature.h.

const std::string& ChemicalFeatures::FreeChemicalFeature::getType | ( |  | ) | const`[inline, virtual]`

return our type

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 51 of file FreeChemicalFeature.h.

RDGeom::Point3D ChemicalFeatures::FreeChemicalFeature::getPos | ( |  | ) | const`[inline, virtual]`

return our position

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 56 of file FreeChemicalFeature.h.

void ChemicalFeatures::FreeChemicalFeature::setFamily | ( | const std::string & | family | ) | `[inline]`

set our family

Definition at line 61 of file FreeChemicalFeature.h.

void ChemicalFeatures::FreeChemicalFeature::setType | ( | const std::string & | type | ) | `[inline]`

set our type

Definition at line 66 of file FreeChemicalFeature.h.

void ChemicalFeatures::FreeChemicalFeature::setPos | ( | const RDGeom::Point3D & | loc | ) | `[inline]`

set our position

Definition at line 71 of file FreeChemicalFeature.h.

std::string ChemicalFeatures::FreeChemicalFeature::toString | ( |  | ) | const

returns a serialized form of the feature (a pickle)

void ChemicalFeatures::FreeChemicalFeature::initFromString | ( | const std::string & | pickle | ) |

initialize from a pickle string

Referenced by FreeChemicalFeature().

The documentation for this class was generated from the following file:

- FreeChemicalFeature.h